Name:           python-pirogue
Version:        2.2.0
Release:        %autorelease
Summary:        pirogue let you dynamically and easily create views in PostgreSQL for inheritance or join scenarios.

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        GPL-3.0-or-later
URL:            https://pypi.org/project/pirogue/
Source:         %{pypi_source pirogue}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'pirogue' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-pirogue
Summary:        %{summary}

%description -n python3-pirogue %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-pirogue psycopg2,psycopg3,test


%prep
%autosetup -p1 -n pirogue-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x psycopg2,psycopg3,test


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%pyproject_check_import -t


%files -n python3-pirogue -f %{pyproject_files}


%changelog
%autochangelog